Our Journey in Pictures

Our Journey in Pictures

Explore moments of inspiration, connection, and transformation from our past events.

RFC 2026 March Edition: Discover. Develop. Dominate.

A landmark edition bringing together leaders, speakers, and purpose-driven young Africans for two days of transformation in Lomé, Togo — March 2026.

RFC 2026 March Edition: Discover. Develop. Dominate. Image 1
RFC 2026 March Edition: Discover. Develop. Dominate. Image 2
RFC 2026 March Edition: Discover. Develop. Dominate. Image 3
RFC 2026 March Edition: Discover. Develop. Dominate. Image 4
RFC 2026 March Edition: Discover. Develop. Dominate. Image 5
RFC 2026 March Edition: Discover. Develop. Dominate. Image 6
RFC 2026 March Edition: Discover. Develop. Dominate. Image 7
RFC 2026 March Edition: Discover. Develop. Dominate. Image 8
RFC 2026 March Edition: Discover. Develop. Dominate. Image 9
RFC 2026 March Edition: Discover. Develop. Dominate. Image 10
RFC 2026 March Edition: Discover. Develop. Dominate. Image 11
RFC 2026 March Edition: Discover. Develop. Dominate. Image 12
RFC 2026 March Edition: Discover. Develop. Dominate. Image 13
RFC 2026 March Edition: Discover. Develop. Dominate. Image 14
RFC 2026 March Edition: Discover. Develop. Dominate. Image 15
RFC 2026 March Edition: Discover. Develop. Dominate. Image 16
RFC 2026 March Edition: Discover. Develop. Dominate. Image 17
RFC 2026 March Edition: Discover. Develop. Dominate. Image 18
RFC 2026 March Edition: Discover. Develop. Dominate. Image 19
RFC 2026 March Edition: Discover. Develop. Dominate. Image 20
RFC 2026 March Edition: Discover. Develop. Dominate. Image 21
RFC 2026 March Edition: Discover. Develop. Dominate. Image 22
RFC 2026 March Edition: Discover. Develop. Dominate. Image 23
RFC 2026 March Edition: Discover. Develop. Dominate. Image 24
RFC 2026 March Edition: Discover. Develop. Dominate. Image 25
RFC 2026 March Edition: Discover. Develop. Dominate. Image 26
RFC 2026 March Edition: Discover. Develop. Dominate. Image 27
RFC 2026 March Edition: Discover. Develop. Dominate. Image 28
RFC 2026 March Edition: Discover. Develop. Dominate. Image 29
RFC 2026 March Edition: Discover. Develop. Dominate. Image 30
RFC 2026 March Edition: Discover. Develop. Dominate. Image 31
RFC 2026 March Edition: Discover. Develop. Dominate. Image 32
RFC 2026 March Edition: Discover. Develop. Dominate. Image 33
RFC 2026 March Edition: Discover. Develop. Dominate. Image 34
RFC 2026 March Edition: Discover. Develop. Dominate. Image 35
RFC 2026 March Edition: Discover. Develop. Dominate. Image 36
RFC 2026 March Edition: Discover. Develop. Dominate. Image 37
RFC 2026 March Edition: Discover. Develop. Dominate. Image 38
RFC 2026 March Edition: Discover. Develop. Dominate. Image 39
RFC 2026 March Edition: Discover. Develop. Dominate. Image 40
RFC 2026 March Edition: Discover. Develop. Dominate. Image 41
RFC 2026 March Edition: Discover. Develop. Dominate. Image 42
RFC 2026 March Edition: Discover. Develop. Dominate. Image 43
RFC 2026 March Edition: Discover. Develop. Dominate. Image 44
RFC 2026 March Edition: Discover. Develop. Dominate. Image 45
RFC 2026 March Edition: Discover. Develop. Dominate. Image 46
RFC 2026 March Edition: Discover. Develop. Dominate. Image 47
RFC 2026 March Edition: Discover. Develop. Dominate. Image 48
RFC 2026 March Edition: Discover. Develop. Dominate. Image 49
RFC 2026 March Edition: Discover. Develop. Dominate. Image 50
RFC 2026 March Edition: Discover. Develop. Dominate. Image 51
RFC 2026 March Edition: Discover. Develop. Dominate. Image 52
RFC 2026 March Edition: Discover. Develop. Dominate. Image 53
RFC 2026 March Edition: Discover. Develop. Dominate. Image 54
RFC 2026 March Edition: Discover. Develop. Dominate. Image 55
RFC 2026 March Edition: Discover. Develop. Dominate. Image 56
RFC 2026 March Edition: Discover. Develop. Dominate. Image 57
RFC 2026 March Edition: Discover. Develop. Dominate. Image 58
RFC 2026 March Edition: Discover. Develop. Dominate. Image 59
RFC 2026 March Edition: Discover. Develop. Dominate. Image 60
RFC 2026 March Edition: Discover. Develop. Dominate. Image 61
RFC 2026 March Edition: Discover. Develop. Dominate. Image 62
RFC 2026 March Edition: Discover. Develop. Dominate. Image 63
RFC 2026 March Edition: Discover. Develop. Dominate. Image 64
RFC 2026 March Edition: Discover. Develop. Dominate. Image 65
RFC 2026 March Edition: Discover. Develop. Dominate. Image 66
RFC 2026 March Edition: Discover. Develop. Dominate. Image 67
RFC 2026 March Edition: Discover. Develop. Dominate. Image 68
RFC 2026 March Edition: Discover. Develop. Dominate. Image 69

RFC 2025: A Record-Breaking Event

150 young leaders of different nationalities came together for our most impactful conference yet.

RFC 2025: A Record-Breaking Event Image 1
RFC 2025: A Record-Breaking Event Image 2
RFC 2025: A Record-Breaking Event Image 3
RFC 2025: A Record-Breaking Event Image 4
RFC 2025: A Record-Breaking Event Image 5
RFC 2025: A Record-Breaking Event Image 6
RFC 2025: A Record-Breaking Event Image 7
RFC 2025: A Record-Breaking Event Image 8
RFC 2025: A Record-Breaking Event Image 9
RFC 2025: A Record-Breaking Event Image 10
RFC 2025: A Record-Breaking Event Image 11
RFC 2025: A Record-Breaking Event Image 12
RFC 2025: A Record-Breaking Event Image 13
RFC 2025: A Record-Breaking Event Image 14
RFC 2025: A Record-Breaking Event Image 15
RFC 2025: A Record-Breaking Event Image 16
RFC 2025: A Record-Breaking Event Image 17
RFC 2025: A Record-Breaking Event Image 18
RFC 2025: A Record-Breaking Event Image 19
RFC 2025: A Record-Breaking Event Image 20
RFC 2025: A Record-Breaking Event Image 21
RFC 2025: A Record-Breaking Event Image 22
RFC 2025: A Record-Breaking Event Image 23
RFC 2025: A Record-Breaking Event Image 24
RFC 2025: A Record-Breaking Event Image 25
RFC 2025: A Record-Breaking Event Image 26
RFC 2025: A Record-Breaking Event Image 27
RFC 2025: A Record-Breaking Event Image 28
RFC 2025: A Record-Breaking Event Image 29
RFC 2025: A Record-Breaking Event Image 30
RFC 2025: A Record-Breaking Event Image 31
RFC 2025: A Record-Breaking Event Image 32
RFC 2025: A Record-Breaking Event Image 33
RFC 2025: A Record-Breaking Event Image 34
RFC 2025: A Record-Breaking Event Image 35

RFC 2023: Building Foundations

A pivotal year where we expanded our reach and deepened our impact across West Africa.

RFC 2023: Building Foundations Image 1
RFC 2023: Building Foundations Image 2
RFC 2023: Building Foundations Image 3
RFC 2023: Building Foundations Image 4
RFC 2023: Building Foundations Image 5
RFC 2023: Building Foundations Image 6
RFC 2023: Building Foundations Image 7
RFC 2023: Building Foundations Image 8
RFC 2023: Building Foundations Image 9
RFC 2023: Building Foundations Image 10
RFC 2023: Building Foundations Image 11
RFC 2023: Building Foundations Image 12
RFC 2023: Building Foundations Image 13
RFC 2023: Building Foundations Image 14
RFC 2023: Building Foundations Image 15
RFC 2023: Building Foundations Image 16
RFC 2023: Building Foundations Image 17
RFC 2023: Building Foundations Image 18
RFC 2023: Building Foundations Image 19
RFC 2023: Building Foundations Image 20
RFC 2023: Building Foundations Image 21
RFC 2023: Building Foundations Image 22

RFC 2018: Gaining Momentum

The movement gained momentum, attracting passionate young leaders and expanding its reach across borders.

RFC 2018: Gaining Momentum Image 1
RFC 2018: Gaining Momentum Image 2
RFC 2018: Gaining Momentum Image 3
RFC 2018: Gaining Momentum Image 4
RFC 2018: Gaining Momentum Image 5
RFC 2018: Gaining Momentum Image 6
RFC 2018: Gaining Momentum Image 7
RFC 2018: Gaining Momentum Image 8
RFC 2018: Gaining Momentum Image 9
RFC 2018: Gaining Momentum Image 10
RFC 2018: Gaining Momentum Image 11
RFC 2018: Gaining Momentum Image 12
RFC 2018: Gaining Momentum Image 13
RFC 2018: Gaining Momentum Image 14
RFC 2018: Gaining Momentum Image 15
RFC 2018: Gaining Momentum Image 16
RFC 2018: Gaining Momentum Image 17
RFC 2018: Gaining Momentum Image 18
RFC 2018: Gaining Momentum Image 19
RFC 2018: Gaining Momentum Image 20

RFC 2017: Finding Our Voice

Building on our foundation, the conversation grew louder with monthly talk shows and community events.

RFC 2017: Finding Our Voice Image 1
RFC 2017: Finding Our Voice Image 2
RFC 2017: Finding Our Voice Image 3
RFC 2017: Finding Our Voice Image 4
RFC 2017: Finding Our Voice Image 5
RFC 2017: Finding Our Voice Image 6
RFC 2017: Finding Our Voice Image 7
RFC 2017: Finding Our Voice Image 8
RFC 2017: Finding Our Voice Image 9
RFC 2017: Finding Our Voice Image 10
RFC 2017: Finding Our Voice Image 11
RFC 2017: Finding Our Voice Image 12
RFC 2017: Finding Our Voice Image 13
RFC 2017: Finding Our Voice Image 14
RFC 2017: Finding Our Voice Image 15
RFC 2017: Finding Our Voice Image 16
RFC 2017: Finding Our Voice Image 17
RFC 2017: Finding Our Voice Image 18
RFC 2017: Finding Our Voice Image 19
RFC 2017: Finding Our Voice Image 20
RFC 2017: Finding Our Voice Image 21
RFC 2017: Finding Our Voice Image 22
RFC 2017: Finding Our Voice Image 23
RFC 2017: Finding Our Voice Image 24
RFC 2017: Finding Our Voice Image 25
RFC 2017: Finding Our Voice Image 26
RFC 2017: Finding Our Voice Image 27
RFC 2017: Finding Our Voice Image 28
RFC 2017: Finding Our Voice Image 29
RFC 2017: Finding Our Voice Image 30
RFC 2017: Finding Our Voice Image 31
RFC 2017: Finding Our Voice Image 32
RFC 2017: Finding Our Voice Image 33
RFC 2017: Finding Our Voice Image 34
RFC 2017: Finding Our Voice Image 35
RFC 2017: Finding Our Voice Image 36
RFC 2017: Finding Our Voice Image 37
RFC 2017: Finding Our Voice Image 38
RFC 2017: Finding Our Voice Image 39
RFC 2017: Finding Our Voice Image 40
RFC 2017: Finding Our Voice Image 41
RFC 2017: Finding Our Voice Image 42
RFC 2017: Finding Our Voice Image 43
RFC 2017: Finding Our Voice Image 44
RFC 2017: Finding Our Voice Image 45
RFC 2017: Finding Our Voice Image 46
RFC 2017: Finding Our Voice Image 47
RFC 2017: Finding Our Voice Image 48
RFC 2017: Finding Our Voice Image 49
RFC 2017: Finding Our Voice Image 50
RFC 2017: Finding Our Voice Image 51
RFC 2017: Finding Our Voice Image 52
RFC 2017: Finding Our Voice Image 53
RFC 2017: Finding Our Voice Image 54
RFC 2017: Finding Our Voice Image 55
RFC 2017: Finding Our Voice Image 56

RFC 2016: The Beginning

The very beginning - a humble gathering of 50 young people that sparked a continental movement.

RFC 2016: The Beginning Image 1
RFC 2016: The Beginning Image 2
RFC 2016: The Beginning Image 3
RFC 2016: The Beginning Image 4
RFC 2016: The Beginning Image 5
RFC 2016: The Beginning Image 6
RFC 2016: The Beginning Image 7
RFC 2016: The Beginning Image 8
RFC 2016: The Beginning Image 9
RFC 2016: The Beginning Image 10
RFC 2016: The Beginning Image 11
RFC 2016: The Beginning Image 12
RFC 2016: The Beginning Image 13
RFC 2016: The Beginning Image 14
RFC 2016: The Beginning Image 15
RFC 2016: The Beginning Image 16
RFC 2016: The Beginning Image 17

Be Part of Our Next Chapter

Join us at RFC 2026 and become part of the story. Your transformation journey starts here.

RFC Logo

RFC Support